package eigeneAlgorithmen;

import java.util.List;
import java.nio.file.*;

import graph.*;
import algorithmen.*;

/**
 * Beschreibung des Algos
 * 
 * @version 7.1 from 12.02.2025
 * @author Schueler
 */

public class GraphAlgo_Dijkstra_Eigener extends GraphAlgo {
  
    Graph gr;

    public  String getBezeichnung() {
        return "02_Dijkstra_Eigener";
    }

    public void fuehreAlgorithmusAus() throws InterruptedException {
        gr = getGraph();
        //# Hier kommt dein Quelltext zum loesen des Graphenproblems hin:
      
        //# Schreibe Text in das Hilfefenster:
        info("Hilfetext");
        
        //# Unterbreche die Ausführung:
        step();
    }
}